Loading...
Searching...
No Matches
EST_NgrammarState Class Reference
Collaboration diagram for EST_NgrammarState:
[legend]

## Public Member Functions

| EST_NgrammarState (int id, EST_Discrete *d)
| EST_NgrammarState (int id, const EST_DiscreteProbDistribution &pdf)
| EST_NgrammarState (const EST_NgrammarState &s)
| EST_NgrammarState (const EST_NgrammarState *const s)
void | clear ()
void | init ()
void | init (int id, EST_Discrete *d)
void | init (int id, const EST_DiscreteProbDistribution &pdf)
void | cumulate (const int index, const double count=1)
void | cumulate (const EST_String &word, const double count=1)
int | id () const
const EST_DiscreteProbDistribution & | pdf_const () const
EST_DiscreteProbDistribution & | pdf ()
double | probability (const EST_String &w) const
double | probability (int w) const
double | frequency (const EST_String &w) const
double | frequency (int w) const
const EST_String & | most_probable (double *prob=NULL) const

## Public Attributes

EST_IVector | path

## Protected Attributes

EST_DiscreteProbDistribution | p_pdf
int | p_id

## Friends

ostream & | operator<< (ostream &s, const EST_NgrammarState &a)

## Detailed Description

Definition at line 77 of file EST_Ngrammar.h.

## Constructor & Destructor Documentation

## EST_NgrammarState() [1/5]

EST_NgrammarState::EST_NgrammarState | ( |  | ) |

inline

Definition at line 86 of file EST_Ngrammar.h.

## EST_NgrammarState() [2/5]

EST_NgrammarState::EST_NgrammarState | ( | int | id,
|  | EST_Discrete * | d )

inline

Definition at line 93 of file EST_Ngrammar.h.

## EST_NgrammarState() [3/5]

EST_NgrammarState::EST_NgrammarState | ( | int | id,
|  | const EST_DiscreteProbDistribution & | pdf )

inline

Definition at line 94 of file EST_Ngrammar.h.

## EST_NgrammarState() [4/5]

EST_NgrammarState::EST_NgrammarState | ( | const EST_NgrammarState & | s | ) |

Definition at line 60 of file EST_Ngrammar.cc.

## EST_NgrammarState() [5/5]

EST_NgrammarState::EST_NgrammarState | ( | const EST_NgrammarState *const | s | ) |

Definition at line 66 of file EST_Ngrammar.cc.

## ~EST_NgrammarState()

EST_NgrammarState::~EST_NgrammarState | ( |  | ) |

Definition at line 72 of file EST_Ngrammar.cc.

## Member Function Documentation

## clear()

void EST_NgrammarState::clear | ( |  | ) |

Definition at line 77 of file EST_Ngrammar.cc.

## init() [1/3]

void EST_NgrammarState::init | ( |  | ) |

Definition at line 83 of file EST_Ngrammar.cc.

## init() [2/3]

void EST_NgrammarState::init | ( | int | id,
|  | EST_Discrete * | d )

Definition at line 89 of file EST_Ngrammar.cc.

## init() [3/3]

void EST_NgrammarState::init | ( | int | id,
|  | const EST_DiscreteProbDistribution & | pdf )

Definition at line 96 of file EST_Ngrammar.cc.

## cumulate() [1/2]

void EST_NgrammarState::cumulate | ( | const int | index,
|  | const double | count = 1 )

inline

Definition at line 109 of file EST_Ngrammar.h.

## cumulate() [2/2]

void EST_NgrammarState::cumulate | ( | const EST_String & | word,
|  | const double | count = 1 )

inline

Definition at line 111 of file EST_Ngrammar.h.

## id()

int EST_NgrammarState::id | ( |  | ) | const

inline

Definition at line 115 of file EST_Ngrammar.h.

## pdf_const()

const EST_DiscreteProbDistribution & EST_NgrammarState::pdf_const | ( |  | ) | const

inline

Definition at line 116 of file EST_Ngrammar.h.

## pdf()

EST_DiscreteProbDistribution & EST_NgrammarState::pdf | ( |  | ) |

inline

Definition at line 117 of file EST_Ngrammar.h.

## probability() [1/2]

double EST_NgrammarState::probability | ( | const EST_String & | w | ) | const

inline

Definition at line 118 of file EST_Ngrammar.h.

## probability() [2/2]

double EST_NgrammarState::probability | ( | int | w | ) | const

inline

Definition at line 120 of file EST_Ngrammar.h.

## frequency() [1/2]

double EST_NgrammarState::frequency | ( | const EST_String & | w | ) | const

inline

Definition at line 121 of file EST_Ngrammar.h.

## frequency() [2/2]

double EST_NgrammarState::frequency | ( | int | w | ) | const

inline

Definition at line 123 of file EST_Ngrammar.h.

## most_probable()

const EST_String & EST_NgrammarState::most_probable | ( | double * | prob = NULL | ) | const

inline

Definition at line 124 of file EST_Ngrammar.h.

## Friends And Related Symbol Documentation

## operator<<

ostream & operator<< | ( | ostream & | s,
|  | const EST_NgrammarState & | a )

friend

Definition at line 103 of file EST_Ngrammar.cc.

## Member Data Documentation

## p_pdf

EST_DiscreteProbDistribution EST_NgrammarState::p_pdf

protected

Definition at line 82 of file EST_Ngrammar.h.

## p_id

int EST_NgrammarState::p_id

protected

Definition at line 83 of file EST_Ngrammar.h.

## path

EST_IVector EST_NgrammarState::path

Definition at line 100 of file EST_Ngrammar.h.

The documentation for this class was generated from the following files:

- include/EST_Ngrammar.h
- grammar/ngram/EST_Ngrammar.cc